> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Send a prepared message > Send prepared messages based on a given send datetime. ## OpenAPI ````json GET /preparedmessage/send { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/preparedmessage/send": { "get": { "tags": [ "Prepared Message" ], "summary": "Send a prepared message", "description": "Send prepared messages based on a given send datetime.", "operationId": "send", "parameters": [ { "name": "preparedMessageId", "in": "query", "description": "The id of the prepared message you want to send.", "required": true, "schema": { "type": "integer", "format": "int64" } }, { "name": "sendDateTime", "in": "query", "description": "Sendout date-time. ISO_8601 format, in URL encoded form", "required": true, "schema": { "type": "string" } }, { "name": "processingDateTime", "in": "query", "description": "The preprocessing date-time (optional). ISO_8601 format, in URL encoded form", "schema": { "type": "string" } }, { "name": "selectionId", "in": "query", "description": "A selection id to associate with the sendout (optional).", "schema": { "type": "integer", "format": "int64" } }, { "name": "bestSendoutTime", "in": "query", "description": "True/False.", "required": true, "schema": { "type": "string" } }, { "name": "bestSendoutTimeDefault", "in": "query", "description": "17:00.", "required": true, "schema": { "type": "string" } }, { "name": "bestSendoutTimeTimezone", "in": "query", "description": "Europe/Berlin.", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "", "content": { "application/octet-stream": { "schema": { "$ref": "#/components/schemas/PreparedMessage" } } } }, "400": { "description": "", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "PreparedMessage": { "type": "object", "properties": { "contactId": { "type": "integer", "format": "int64" }, "messageId": { "type": "integer", "format": "int64" }, "name": { "type": "string" }, "groupId": { "type": "integer", "format": "int64" }, "groupName": { "type": "string" }, "selectionId": { "type": "integer", "format": "int64" }, "selectionName": { "type": "string" }, "channelId": { "type": "integer", "format": "int64" }, "channelName": { "type": "string" }, "externalId": { "type": "string" }, "messageCategoryId": { "type": "integer", "format": "int64" }, "messageCategoryName": { "type": "string" }, "message": { "$ref": "#/components/schemas/MessageBase" }, "trackingOverride": { "type": "integer", "format": "int64" } } }, "MessageBase": { "type": "object", "properties": { "subject": { "type": "string" }, "emailBodyText": { "type": "string" }, "emailBodyHtml": { "type": "string" }, "smsText": { "type": "string" }, "faxText": { "type": "string" }, "emailHeaders": { "type": "array", "items": { "$ref": "#/components/schemas/Attribute" } }, "attachments": { "type": "array", "items": { "$ref": "#/components/schemas/Attachment" } }, "attachmentReferences": { "type": "array", "items": { "$ref": "#/components/schemas/AttachmentReference" } }, "encoding": { "type": "string" }, "encodingSMS": { "type": "string" }, "imageHandlingMode": { "type": "string" } } }, "Attribute": { "type": "object", "properties": { "name": { "type": "string" }, "value": { "type": "string" } } }, "Attachment": { "type": "object", "properties": { "name": { "type": "string" }, "contentType": { "type": "string" }, "content": { "type": "string" } } }, "AttachmentReference": { "type": "object", "properties": { "contentId": { "type": "string" }, "reference": { "type": "string" } } } } } } ````